<?xml version='1.0' encoding='UTF-8'?>

<Properties version="4.1">
	<Property name="xslt.base64Zipped">true</Property>
	<Property name="xslt.ignoreInput">false</Property>
	<Property name="xslt.params" type="List">
		<Property name="var.session">var.session</Property>
	</Property>
	<Property name="xslt.saveAtServer">true</Property>
	<Property name="xslt.setAllVariablesAsTransformerParams">true</Property>
	<Property name="xslt.source">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;resultSets>&lt;resultSet queryID="sotal">&lt;row>&lt;TOTAL>4&lt;/TOTAL>&lt;/row>&lt;/resultSet>&lt;resultSet queryID="queries"/>&lt;/resultSets></Property>
	<Property name="xslt.sourceVariables" type="Map">
		<Property name="ISWorkflowName">VAM_am_059_queryQueries</Property>
		<Property name="ISServerName">dev03.virtimo.net</Property>
		<Property name="ISInvokingWorkflow">VAM_am_060_query</Property>
		<Property name="ISModuleId">574342</Property>
		<Property name="ISGlobalProcessId">1669273</Property>
		<Property name="total">4</Property>
		<Property name="ISUserName">VAM</Property>
		<Property name="ISInvokingModule">VAM_am_wfc_059_queryQueries</Property>
		<Property name="ISCurrentTime">1486741365304</Property>
		<Property name="ISProcessId">1669273</Property>
		<Property name="log" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;log>&lt;entries/>&lt;/log></Property>
		<Property name="ISModuleName">VAM_am_assign</Property>
		<Property name="var.session" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;session>&lt;request>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>query&lt;/method>&lt;parameters/>&lt;withUser>false&lt;/withUser>&lt;startTimestamp>1486741364799&lt;/startTimestamp>&lt;/request>&lt;configuration>&lt;api> 
    &lt;database>&lt;type>mssql&lt;/type> 
        
        
      &lt;default> 
        &lt;alertTimeout>20&lt;/alertTimeout>  
        &lt;queryTimeout>60&lt;/queryTimeout> 
      &lt;/default> 
    &lt;/database>  
    &lt;entity> 
      &lt;validate>false&lt;/validate> 
    &lt;/entity>  
    &lt;response> 
      &lt;debuggingInformation>false&lt;/debuggingInformation>  
      &lt;format>false&lt;/format>  
      &lt;validate>true&lt;/validate> 
    &lt;/response>  
    &lt;user> 
      &lt;maxAge>P0DT2H0M5S&lt;/maxAge>  
    &lt;/user>&lt;technicalUser> 
      &lt;loginName>sys&lt;/loginName> 
    &lt;/technicalUser>&lt;alerting> 
      &lt;recipient> 
        &lt;eMailAddress>kaufhold@virtimo.de &lt;/eMailAddress> 
      &lt;/recipient>&lt;mail> 
      &lt;host>smtp.googlemail.com&lt;/host>  
      &lt;sender> 
        &lt;eMailAddress>jochen@virtimo.net &lt;/eMailAddress> 
      &lt;/sender>  
      &lt;debuggingInformation>true&lt;/debuggingInformation> 
    &lt;/mail> 
    &lt;/alerting>&lt;backend>&lt;imnot>&lt;url>https://localhost:7080/im/1/rest/&lt;/url>&lt;/imnot>&lt;bpc>&lt;url>http://localhost:8181/cxf/bpc-core/authentication&lt;/url>&lt;/bpc>&lt;/backend> 
  &lt;/api>&lt;am>&lt;database>&lt;type>mssql&lt;/type> 
        
        
      &lt;default> 
        &lt;alertTimeout>20&lt;/alertTimeout>  
        &lt;queryTimeout>60&lt;/queryTimeout> 
      &lt;/default> 
    &lt;/database> 
      
      
    &lt;entity> 
      &lt;validate>false&lt;/validate> 
    &lt;/entity>  
      
      
    &lt;technicalUser> 
      &lt;loginName>sys&lt;/loginName> 
    &lt;/technicalUser>
      
      
     
  &lt;/am>&lt;userGroupName>VAM&lt;/userGroupName>&lt;/configuration>&lt;user>&lt;id>bpcadmin&lt;/id>&lt;displayName>bpcadmin&lt;/displayName>&lt;loginName>bpcadmin&lt;/loginName>&lt;name>bpcadmin&lt;/name>&lt;eMailAddress/>&lt;active>true&lt;/active>&lt;locale>de_DE&lt;/locale>&lt;language>de&lt;/language>&lt;country>DE&lt;/country>&lt;roles>&lt;role>10XCH-SWISSGRID2&lt;/role>&lt;role>bpcadmin&lt;/role>&lt;role>bpcUser&lt;/role>&lt;role>EAI Developer&lt;/role>&lt;role>VAM_organization_16103&lt;/role>&lt;role>VAM_organization_ebix&lt;/role>&lt;role>VAM_organization_PF&lt;/role>&lt;role>VAM_organization_showcase&lt;/role>&lt;role>VAM-administrator&lt;/role>&lt;/roles>&lt;permissions>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>create&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>delete&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>executeAction&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>get&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>getActionAttributes&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>query&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>update&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>person&lt;/context>&lt;method>create&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>person&lt;/context>&lt;method>delete&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>person&lt;/context>&lt;method>get&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>person&lt;/context>&lt;method>query&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>person&lt;/context>&lt;method>update&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>create&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>delete&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>get&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>query&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>update&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>create&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>delete&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>executeAction&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context&gt;template&lt;/context>&lt;method>get&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>getActionAttributes&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>getImage&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>query&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>setImage&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>update&lt;/method>&lt;/permission>&lt;permission>&lt;module>api&lt;/module>&lt;context>organization&lt;/context>&lt;method>getConfiguration&lt;/method>&lt;/permission>&lt;permission>&lt;module>api&lt;/module>&lt;context>organization&lt;/context>&lt;method>setConfiguration&lt;/method>&lt;/permission>&lt;permission>&lt;module>api&lt;/module>&lt;context>organization&lt;/context>&lt;method>setName&lt;/method>&lt;/permission>&lt;/permissions>&lt;organizations>&lt;organization>&lt;id>showcase&lt;/id>&lt;displayName>showcase&lt;/displayName>&lt;name/>&lt;configuration>&lt;am xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">&lt;overviews>&lt;overview>&lt;type>tree&lt;/type>&lt;grouping>true&lt;/grouping>&lt;canCreate>true&lt;/canCreate>&lt;canDelete>true&lt;/canDelete>&lt;rootTemplate>&lt;templateId>21&lt;/templateId>&lt;templateName>Marktübersicht&lt;/templateName>&lt;/rootTemplate>&lt;title>&lt;de>Marktübersicht&lt;/de>&lt;en>Marktübersicht&lt;/en>&lt;/title>&lt;tabTitle>&lt;de>Marktübersicht&lt;/de>&lt;en>Marktübersicht&lt;/en>&lt;/tabTitle>&lt;headIconPath>overview64&lt;/headIconPath>&lt;defaultFilters>&lt;item>&lt;key>displayName&lt;/key>&lt;operator>contains&lt;/operator>&lt;/item>&lt;/defaultFilters>&lt;/overview>&lt;overview>&lt;type>grid&lt;/type>&lt;grouping>true&lt;/grouping>&lt;canCreate>true&lt;/canCreate>&lt;canDelete>true&lt;/canDelete>&lt;singleTemplateMode>&lt;templateId>21&lt;/templateId>&lt;templateName>Netzgebiete&lt;/templateName>&lt;/singleTemplateMode>&lt;title>&lt;de>Netzgebiete&lt;/de>&lt;en>Netzgebiete&lt;/en>&lt;/title>&lt;tabTitle>&lt;de>Netzgebiete&lt;/de>&lt;en>Netzgebiete&lt;/en>&lt;/tabTitle>&lt;headIconPath>overview64&lt;/headIconPath>&lt;defaultFilters>&lt;item>&lt;key>displayName&lt;/key>&lt;operator>contains&lt;/operator>&lt;/item>&lt;/defaultFilters>&lt;customColumns>&lt;item>&lt;title>&lt;de>EIC&lt;/de>&lt;/title>&lt;attributePath>EIC&lt;/attributePath>&lt;type>string&lt;/type>&lt;/item>&lt;/customColumns>&lt;/overview>&lt;overview>&lt;type>grid&lt;/type>&lt;grouping>true&lt;/grouping>&lt;canCreate>true&lt;/canCreate>&lt;canDelete>true&lt;/canDelete>&lt;singleTemplateMode>&lt;templateId>22&lt;/templateId>&lt;templateName>Netzbetreiber&lt;/templateName>&lt;/singleTemplateMode>&lt;title>&lt;de>Netzbetreiber&lt;/de>&lt;en>Netzbetreiber&lt;/en>&lt;/title>&lt;tabTitle>&lt;de>Netzbetreiber&lt;/de>&lt;en>Netzbetreiber&lt;/en>&lt;/tabTitle>&lt;headIconPath>overview64&lt;/headIconPath>&lt;defaultFilters>&lt;item>&lt;key>displayName&lt;/key>&lt;operator>contains&lt;/operator>&lt;/item>&lt;/defaultFilters>&lt;customColumns/>&lt;/overview>&lt;overview>&lt;type>grid&lt;/type>&lt;grouping>true&lt;/grouping>&lt;canCreate>true&lt;/canCreate>&lt;canDelete>true&lt;/canDelete>&lt;singleTemplateMode>&lt;templateId>15&lt;/templateId>&lt;templateName>Erzeuger&lt;/templateName>&lt;/singleTemplateMode>&lt;title>&lt;de>Erzeuger&lt;/de>&lt;en>Erzeuger&lt;/en>&lt;/title>&lt;tabTitle>&lt;de>Erzeuger&lt;/de>&lt;en>Erzeuger&lt;/en>&lt;/tabTitle>&lt;headIconPath>overview64&lt;/headIconPath>&lt;defaultFilters>&lt;item>&lt;key>displayName&lt;/key>&lt;operator>contains&lt;/operator>&lt;/item>&lt;/defaultFilters>&lt;customColumns/>&lt;/overview>&lt;overview>&lt;type>grid&lt;/type>&lt;grouping>true&lt;/grouping>&lt;canCreate>true&lt;/canCreate>&lt;canDelete>true&lt;/canDelete>&lt;singleTemplateMode>&lt;templateId>26&lt;/templateId>&lt;templateName>Anlagen&lt;/templateName>&lt;/singleTemplateMode>&lt;title>&lt;de>Anlagen&lt;/de>&lt;en>Anlagen&lt;/en>&lt;/title>&lt;tabTitle>&lt;de>Anlagen&lt;/de>&lt;en>Anlagen&lt;/en>&lt;/tabTitle>&lt;headIconPath>overview64&lt;/headIconPath>&lt;defaultFilters>&lt;item>&lt;key>displayName&lt;/key>&lt;operator>contains&lt;/operator>&lt;/item>&lt;/defaultFilters>&lt;customColumns/>&lt;/overview>&lt;/overviews>&lt;assetChoicePopupDefaultFilters>&lt;key>displayName&lt;/key>&lt;operator>contains&lt;/operator>&lt;/assetChoicePopupDefaultFilters>&lt;noLocationAndContactsFilters>true&lt;/noLocationAndContactsFilters>&lt;sortMode>user_ci&lt;/sortMode>&lt;/am>&lt;/configuration>&lt;active>true&lt;/active>&lt;/organization>&lt;/organizations>&lt;/user>&lt;/session></Property>
	</Property>
	<Property name="xslt.stylesheet" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:isxp="java:com.inubit.ibis.xsltext.ISFunctions" xmlns:am="http://www.bosch-si.com/2013/AM" exclude-result-prefixes="#all" version="2.0">&lt;xsl:import href="inubitmodule://VAM_api_XSLT_Tools"/>  
  &lt;xsl:output method="xml" encoding="UTF-8"/>&lt;xsl:param name="var.session" as="element()"/>  
  &lt;xsl:template match="/*">&lt;body>&lt;queries>&lt;xsl:for-each select="resultSet[@queryID = 'queries']/row"> 
        &lt;query> 
          &lt;id> 
            &lt;xsl:value-of select="ID"/> 
          &lt;/id>  
          &lt;displayName> 
            &lt;xsl:value-of select="DISPLAYNAME"/> 
          &lt;/displayName>  
          &lt;visibility> 
            &lt;xsl:choose> 
              &lt;xsl:when test="VISIBILITY = 'o'">organization&lt;/xsl:when>  
              &lt;xsl:when test="VISIBILITY = 's'">system&lt;/xsl:when>  
              &lt;xsl:when test="VISIBILITY = 'u'">user&lt;/xsl:when>  
            &lt;/xsl:choose> 
          &lt;/visibility>  
          &lt;description> 
            &lt;xsl:value-of select="DESCRIPTION"/> 
          &lt;/description>  
          &lt;filters> 
            &lt;xsl:for-each select="am:stringToNode(FILTERS)/*"> 
              &lt;filter> 
                &lt;key> 
                  &lt;xsl:value-of select="key"/> 
                &lt;/key>  
                &lt;operator> 
                  &lt;xsl:value-of select="operator"/> 
                &lt;/operator>  
                &lt;xsl:choose> 
                  &lt;xsl:when test="exists(value)"> 
                    &lt;value> 
                      &lt;xsl:value-of select="value"/> 
                    &lt;/value> 
                  &lt;/xsl:when>  
                  &lt;xsl:when test="exists(values)"> 
                    &lt;values> 
                      &lt;xsl:for-each select="values/value"> 
                        &lt;value>&lt;xsl:value-of select="."/>&lt;/value> 
                      &lt;/xsl:for-each> 
                    &lt;/values> 
                  &lt;/xsl:when> 
                &lt;/xsl:choose> 
              &lt;/filter> 
            &lt;/xsl:for-each> 
          &lt;/filters>  
          &lt;createdOn> 
            &lt;xsl:value-of select="CREATEDON"/> 
          &lt;/createdOn>  
          &lt;createdByUser> 
            &lt;id> 
              &lt;xsl:value-of select="CREATEDBYUSERID"/> 
            &lt;/id>  
            &lt;displayName> 
              &lt;xsl:value-of select="CREATEDBYUSERDISPLAYNAME"/> 
            &lt;/displayName> 
          &lt;/createdByUser>  
          &lt;lastUpdatedOn> 
            &lt;xsl:value-of select="LASTUPDATEDON"/> 
          &lt;/lastUpdatedOn>  
          &lt;lastUpdatedByUser> 
            &lt;id> 
              &lt;xsl:value-of select="LASTUPDATEDBYUSERID"/> 
            &lt;/id>  
            &lt;displayName> 
              &lt;xsl:value-of select="LASTUPDATEDBYUSERDISPLAYNAME"/> 
            &lt;/displayName> 
          &lt;/lastUpdatedByUser> 
        &lt;/query> 
      &lt;/xsl:for-each> 
       
    &lt;/queries>&lt;total>&lt;xsl:value-of select="(resultSet[@queryID = 'total']/row/TOTAL, count(resultSet[@queryID = 'queries']/row))[1]"/>&lt;/total>&lt;/body> 
     
  &lt;/xsl:template> 
&lt;/xsl:stylesheet></Property>
	<Property name="xslt.target"></Property>
	<Property name="xslt.transformer">net.sf.saxon.TransformerFactoryImpl</Property>
</Properties>